libgdiplus (6.0.4+dfsg-2) unstable; urgency=medium

  * No-change upload (Closes: #952642)

 -- Jo Shields <joshield@microsoft.com>  Wed, 26 Feb 2020 15:09:20 -0500

libgdiplus (6.0.4+dfsg-1) unstable; urgency=medium

  * [1d0918c] New upstream version 6.0.4
  * [c8e4ab1] Forcibly skip tests
  * [a0213b8] Pango is default now for fonts, so forcibly use it
  * [db75b4e] Remove obsolete patch
  * [25206b3] Update Vcs-* records in debian/control
  * [53708b1] Add a +dfsg due to closed-source test file
  * [9a57bdb] New upstream version 6.0.4+dfsg

 -- Jo Shields <joshield@microsoft.com>  Mon, 14 Oct 2019 14:02:24 -0400

libgdiplus (4.2-2) unstable; urgency=medium

  * [79078f1] Revert "Refreshed list of architectures" (Closes: #808676)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 13 Feb 2017 08:35:07 +0000

libgdiplus (4.2-1) unstable; urgency=medium

  * [f55e3da] Imported Upstream version 4.2 (Closes: #803274, #688361)
  * [feca412] Refreshed list of architectures

 -- Jo Shields <directhex@apebox.org>  Sun, 20 Dec 2015 17:41:11 +0000

libgdiplus (3.6-1) unstable; urgency=medium

  * [a769019] Imported Upstream version 3.6
  * [8b2203c] Change scanning URL for uscan
  * [2da9293] It's 2014, we can handle bz2 orig
  * [1ca4f93] Imported Upstream version 3.6
  * [3ed0a39] Drop obsolete patch
  * [0e8fc62] Add new arches, because why not
  * [1e99dc2] Refresh debian/patches/initialize_png_transparency.patch
  * [f5f9cd8] Use dh-autoreconf. Helps for ppc64el!
  * [9ab1f97] Bump to DH7
  * [72f12fa] Delete crud we don't need when using dh-autoreconf
  * [1d6f7b0] Fix pngcodec.c which wasn't committed properly to Debian

 -- Jo Shields <directhex@apebox.org>  Wed, 27 Aug 2014 19:08:55 +0100

libgdiplus (2.11+git20131008.9732566-5) unstable; urgency=low

  * [5e251c5] Ensure PNG transparency values are initialized. Thanks to 
    Tom Hindle (LP: #1296786) (Closes: #741980)

 -- Jo Shields <directhex@apebox.org>  Mon, 31 Mar 2014 19:02:03 +0100

libgdiplus (2.11+git20131008.9732566-4) unstable; urgency=low

  * [01b42b2] Add debian/patches/use_freetype_macros.patch, 
    cherry-picked from upstream 180c02e0f2a2016eba8520b456ca929e9dcf03db, 
    as a workaround to the FTBFS on FreeType 2.5+ (Closes: #732274)

 -- Jo Shields <directhex@apebox.org>  Mon, 16 Dec 2013 14:21:47 +0000

libgdiplus (2.11+git20131008.9732566-3) unstable; urgency=low

  * [9a8bde0] Remove SPARC from architecture list, since Mono no longer supports it

 -- Jo Shields <directhex@apebox.org>  Mon, 28 Oct 2013 12:37:07 +0000

libgdiplus (2.11+git20131008.9732566-2) unstable; urgency=low

  * [ecab77d] Refresh list of target architectures, to aid removal 
    of arches which Mono no longer supports (Closes: #727591)

 -- Jo Shields <directhex@apebox.org>  Thu, 24 Oct 2013 14:14:10 +0100

libgdiplus (2.11+git20131008.9732566-1) unstable; urgency=low

  * [285d0a3] Imported Upstream version 2.11+git20131008.9732566 
    (Closes: #649946)
  * [b7b1355] Build-depends on libtiff5-dev | libtiff-dev, change 
    from libtiff4-dev (Closes #681132)
  * [fea5c93] Build-Depends on libpng-dev, change from libpng12-dev 
    (Closes: #662402)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 11:31:26 +0200

libgdiplus (2.10-3) unstable; urgency=low

  [ Iain Lane ]
  * [9ee065e] Change BD on libjpeg62-dev to libjpeg-dev, as part of the 
    transition (Closes: #634138)

  [ Jo Shields ]
  * [6dc8f99] Replace s390 architecture with s390x, since s390 is no longer 
    in Mono.

 -- Jo Shields <directhex@apebox.org>  Wed, 18 Jan 2012 00:49:22 +0000

libgdiplus (2.10-2) experimental; urgency=low

  * [9817aa7] Add ppc64 to list of architectures, for Ubuntu

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Jun 2011 01:11:42 +0100

libgdiplus (2.10-1) experimental; urgency=low

  * [a1db1bc] Remove obsolete gbp.conf
  * [f8dd58b] Imported Upstream version 2.10
  * [6941c4f] Add armhf to list of architectures (ARM with specific
    optimizations), remove lpia (i386 with specific optimizations,
    Ubuntu-only and obsolete).
  * [bf556a1] Switch to Debian source format 3.0, to handle orig.tar.bz2
    properly.

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Mar 2011 21:25:39 +0000

libgdiplus (2.6.7-3) unstable; urgency=low

  * The "closing CVE-2010-1526 in Sid and Squeeze" release
  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Sep 2010 11:28:50 +0100

libgdiplus (2.6.7-2) experimental; urgency=high

  * SECURITY UPDATE: Import upstream commit fa0e3a1d516166c341d5, which 
    closes integer overflows in BMP, JPEG and TIFF handling. 
    (Closes: #594155) (CVE-2010-1526)

 -- Jo Shields <directhex@apebox.org>  Wed, 25 Aug 2010 08:51:05 +0100

libgdiplus (2.6.7-1) experimental; urgency=low

  * New upstream release
  * debian/rules:
    + Don't use ../tarballs in get-orig-source, this is against policy
  * debian/control:
    + Bump standards version to 3.9.1
    + Use Vcs-Git, not Vcs-Svn, and correct Vcs-Browser

 -- Jo Shields <directhex@apebox.org>  Fri, 06 Aug 2010 19:12:15 +0100

libgdiplus (2.6.4-2) experimental; urgency=low

  * git:upstream-2.6.4/debian/patches/libpng_1.4_compatibility_version_check_fix:
    + Change version number check on libpng in src/pngcodec.c to >1.3.99, 
      rather than >1.2.43, as security releases on the 1.2 branch should be 
      treated in the old way, not the new 1.4-branch-way.

 -- Jo Shields <directhex@apebox.org>  Fri, 02 Jul 2010 14:43:49 +0100

libgdiplus (2.6.4-1) experimental; urgency=low

  * New upstream release
  * debian/control,
    debian/rules,
    debian/libgdiplus.install,
    debian/libgdiplus.dirs:
    + Remove dpatch
    + Port to Debhelper 7
  * debian/control:
    + Bump standards version to 3.8.4 (no changes needed)
  * debian/source/format:
    + Force Debian source format 1.0

 -- Jo Shields <directhex@apebox.org>  Fri, 21 May 2010 14:32:03 +0100

libgdiplus (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Modify get-orig-source rule to produce consistent md5sums
  * debian/control:
    + Bump standards version to 3.8.2 (no changes needed)
    + Re-space build-depends line for easier reading

 -- Jo Shields <directhex@apebox.org>  Tue, 30 Jun 2009 10:31:21 +0100

libgdiplus (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump standards version to 3.8.1 (no changes needed)

 -- Jo Shields <directhex@apebox.org>  Wed, 29 Apr 2009 14:00:08 +0100

libgdiplus (2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Wed, 25 Feb 2009 00:58:43 +0100

libgdiplus (2.0-1) experimental; urgency=low

  [ Jo Shields ]
  * New upstream release.
  * Added myself to Uploaders
  * No-change standards version bump (3.8.0)
  * debian/rules:
    + No more need to disable glitz
    + Clear debian-rules-ignores-make-clean-error lintian error by rewriting
      make clean line
  * debian/postinst:
    + Clear postinst-must-call-ldconfig lintian error by adding a postinst
      script to call ldconfig
  * debian/control:
    + Doesn't appear to depend directly on xrender anymore
    + Remove poinltess dependency on libmono0 and libmono-dev

  [ Sebastian Dröge ]
  * debian/control:
    + Build depend on libgif-dev instead of the transitional libungif4-dev.
    + Add lpia to the supported architectures.

  [ Mirco Bauer ]
  * debian/rules:
    + Fixed clean target, config.{status,log} must not be deleted before
      running "make clean".
    + Run "make clean" before unpatching.
  * debian/control:
    + Added Homepage, Vcs-Browser and Vcs-Svn fields.
    + Enhanced package description.

 -- Mirco Bauer <meebey@debian.org>  Sun, 16 Nov 2008 18:41:52 +0100

libgdiplus (1.9-1) unstable; urgency=high

  * New upstream release.
  * debian/watch:
    + Fix watch file (Closes: #449993).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 09:35:06 +0200

libgdiplus (1.2.6-2) unstable; urgency=low

  * debian/control:
    + Add sparc and s390 to the supported architectures as these are now
      supported by mono.
    + Use Mirco's debian.org mail address.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 23 Dec 2007 04:46:20 +0100

libgdiplus (1.2.6-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_external-cairo.dpatch,
      debian/patches/99_autoreconf.dpatch:
      - Dropped, merged upstream.
  * debian/control:
    + Drop Dave Beckett from Uploaders by his request.
    + Updated Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Dec 2007 13:18:49 +0100

libgdiplus (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_missing-include.dpatch:
    + Dropped, merged upstream.
  * debian/patches/01_external-cairo.dpatch,
    debian/patches/99_autoreconf.dpatch,
    debian/rules,
    debian/control:
    + Link and build with the external cairo. Patch from upstream SVN.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 02 Sep 2007 13:10:57 +0200

libgdiplus (1.2.4-2) unstable; urgency=low

  * debian/patches/01_missing-include.dpatch:
    + Add a missing include, resulting in a build failure (Closes: #434339).
      Thanks to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> for
      the patch.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 10 Aug 2007 11:25:30 +0200

libgdiplus (1.2.4-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/rules,
      debian/libgdiplus.install,
      debian/libgdiplus.files:
      - Migrate from dh_movefiles to dh_install.
    + debian/rules:
      - Remove Libs, Cflags and Requires fields from the pkg-config file.
        These are absolutely not necessary as this library is not for linking
        against it anyway and having these fields will only require
        development packages of some packages to be installed to use
        the pkg-config file. (Closes: #290492)

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 May 2007 23:03:10 +0200

libgdiplus (1.2.3-3) unstable; urgency=low

  * Upload to unstable
  * Sebastian 'slomo' Dröge:
    + debian/control:
      - Also add kfreebsd-amd64, armeb and armel to archs
        (Closes: #408785, #415086)

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Apr 2007 22:07:34 +0200

libgdiplus (1.2.3-2) experimental; urgency=low

  * debian/control:
    + Add kfreebsd-i386 support

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Feb 2007 14:40:18 +0100

libgdiplus (1.2.3-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Feb 2007 12:53:16 +0100

libgdiplus (1.2.2-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/control:
      - Updated to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Jan 2007 09:57:41 +0100

libgdiplus (1.1.18-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer:
    + debian/watch:
      - Updated location again.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Mon, 16 Oct 2006 20:54:20 +0200

libgdiplus (1.1.17-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/control:
      - Add libxrender-dev and libexif-dev to Build-Depends
    + debian/watch:
      - Updated location yet again
    + debian/control:
      - Added myself to Uploaders
      - Updated Standards-Version (no changes needed)
    + debian/compat,
      debian/control:
      - Updated to debhelper compat level 5

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  3 Sep 2006 23:05:44 +0200

libgdiplus (1.1.13.6-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + Added arm to arch list. (Closes: #374448)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Mon, 19 Jun 2006 20:31:59 +0200

libgdiplus (1.1.13.4-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 11 Mar 2006 22:36:03 +0100

libgdiplus (1.1.13.2-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/patches/00list:
      - Removed pixmap_remap_fix, already applied upstream.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Mon, 30 Jan 2006 22:43:26 +0100

libgdiplus (1.1.13-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Mon, 16 Jan 2006 19:05:08 +0100

libgdiplus (1.1.10-2) unstable; urgency=low

  * Dave Beckett
    + Replace xlibs-dev with libx11-dev, libxt-dev (Closes: #347112)
    + debian/rules: make clean target tidy up cairo directory
    + debian/rules: edit out references to source tree from libgdiplus.pc

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Mon,  9 Jan 2006 23:04:00 -0800

libgdiplus (1.1.10-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + Added dpatch to build-deps.
    + debian/patches/pixmap_remap_fix.dpatch:
      - Patch to fix the build using current binutils
        (thanks to Sebastian 'slomo' Dröge <slomo@ubuntu.com>)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 13 Nov 2005 18:34:04 +0100

libgdiplus (1.1.9.1-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + Added ia64 to arch field.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 25 Sep 2005 21:22:45 +0200

libgdiplus (1.1.8-2) unstable; urgency=low

  * Dave Beckett
    + rebuild against libglib2.0-0 in unstable (Closes: 321568)
    + add myself to uploaders

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  7 Aug 2005 20:19:23 +0100

libgdiplus (1.1.8-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + Updated to Standards Version 3.6.2.1 (no changes).
    + debian/rules:
      - Removed "cairo" hack for libgdiplus.pc.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 24 Jul 2005 19:22:37 +0200

libgdiplus (1.1.7-2) unstable; urgency=low

  * upload to unstable
  * Mirco 'meebey' Bauer
    + really added amd64 to the arch list now.
    + removed libglitz1-dev from Build-conflicts, using --disable-glitz in
      configure now.
    + added debian/watch file.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 29 May 2005 19:59:03 +0200

libgdiplus (1.1.7-1) experimental; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + moved section field to source package.
    + added xlibs-dev, libfontconfig1-dev, libfreetype6-dev and libxft-dev
      to build dependencies.
    + removed s390 architecture, added amd64 architecture
      (thanks to Kurt Roeckx for testing on an amd64 machine)
    + removed libcairo1-dev build-dependency (Closes: #301113)
      (uses embedded cairo 0.3.0, required because of big API change in 0.4.0)
    + added libglitz1-dev to Build-Conflicts (it does not like cairo 0.3.0).

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 14 May 2005 18:39:38 +0200

libgdiplus (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Changed Maintainer to Debian Mono Group
  * Mirco 'meebey' Bauer
    + added s390 to arch list

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  05 Dec 2004 22:02:10 +0200

libgdiplus (1.0-2) unstable; urgency=low

  * Force dependency on libtiff4 to work around potential segfaults caused by
    ABI changes

 -- Eduard Bloch <blade@debian.org>  Sun,  4 Jul 2004 16:29:02 +0200

libgdiplus (1.0-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  4 Jul 2004 15:52:08 +0200

libgdiplus (0.9-1) unstable; urgency=low

  * New upstream release
  * Setting virtual build dependency to get rid of strict libmono
    dependencies. And yes, it will make it installable with libmono (0.91-*)
    (closes: #244697, #245916).

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Wed, 16 Jun 2004 23:09:02 +0200

libgdiplus (0.5-3) unstable; urgency=low

  * More Build-Dependencies, thanks to Daniel Schepler (closes: #252596)

 -- Eduard Bloch <blade@debian.org>  Tue,  1 Jun 2004 01:22:06 +0200

libgdiplus (0.5-2) unstable; urgency=low

  * Rebuilt with the correct libmono

 -- Eduard Bloch <blade@debian.org>  Tue,  1 Jun 2004 01:09:09 +0200

libgdiplus (0.5-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 30 May 2004 14:28:28 +0200

libgdiplus (0.2-2) unstable; urgency=low

  * Set the exact build-dep on the current libmono version

 -- Eduard Bloch <blade@debian.org>  Wed,  7 Apr 2004 01:21:15 +0200

libgdiplus (0.2-1) unstable; urgency=low

  * New upstream release
  * removing the -Werror cookie after configure

 -- Eduard Bloch <blade@debian.org>  Wed,  7 Apr 2004 01:12:25 +0200

libgdiplus (0.1-4) unstable; urgency=low

  * updated build conflicts to the new mono version (0.30.2)
  * removed all arches but i386 and powerpc from the list (libmono needed)

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Feb 2004 13:06:11 +0100

libgdiplus (0.1-3) unstable; urgency=low

  * adjusted Build-Depends/Conflicts to mono 0.30.1 version (closes: #235080)

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Feb 2004 12:52:14 +0100

libgdiplus (0.1-2) unstable; urgency=low

  * Dave Beckett:
    + Build-Dep on libcairo1-dev, libglib2.0-dev (>= 2.2.3), libmono-dev
    + Fixed libgdiplus.pc to use the correct cairo versioned dependency. 
  * Eduard Bloch:
    + Changes to the fixes above to relax the mono version dependency and 
      not use Sed

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 16 Feb 2004 23:53:54 +0000

libgdiplus (0.1-1) unstable; urgency=low

  * Initial Release (closes: #230896)

 -- Eduard Bloch <blade@debian.org>  Sat,  7 Feb 2004 22:37:11 +0100

